Subject: Re: [PATCH 2/3] powermac: proper time of day after resume

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 24 Jan 2007 20:32:57 +1100

On Wed, 2007-01-24 at 09:54 +0100, Gabriel Paubert wrote:

> Isn't there a way to obtain a better resolution? 

Not that I know.

> The RTC has a resolution on 1 second AFAIR. This means that there will
> be an error of up to 1 second after resume. If you run NTP, it will
> ultimately be corrected (I believe) but it may take a fairly long time
> given the loop bandwidth of NTP, which will also probably write for a
> while crap values into its drift file (/var/lib/ntp/ntp.drift on Debian 
> but location varies with distribution).

But then, people suspending/resuming laptops know what to (or not to)
expect I suppose :-)

Ben.